Syndai Docs

List environments

GET
/api/v1/external/coding/environments

The workspace's environments in display order; default is where runs (and syndai run with no --env) go.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Query Parameters

customer_id?|null

Response Body

Request fulfilled, document follows

application/json
  1. response
environments*array<>
Example Request
curl -X GET 'https://api.syndai.ai/api/v1/external/coding/environments'
Example Response
{  "environments": [    {      "default": true,      "name": "string",      "role": "string",      "slug": "string"    }  ]}